Skip to main content

Schedule Snapshots

POST/api/v1/schedule-snapshot/

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used for authenticating the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Location identifier for the snapshot schedule

    • must be a non-empty string
    • should be a valid location identifier
    example{{location}}

Request body

application/json

string

request field

example{ "resource_id": {{node_id}}, "resource_type": "node", "time_line": 1, "create_after": "1", "delete_after": "3" }

Responses

200Successful response
object
codeinteger

HTTP status code of the schedule snapshots response

example200
  • integer
  • valid HTTP status code
dataobject
errorsobject
messagestring

Human-readable status message for the schedule snapshots operation.

exampleSchedule settings has been saved successfully.
  • must be a non-empty string
  • maximum length 200 characters